Bug 46970

Summary: CustomLog %X does not record aborted connections with mod_proxy_http/connect
Product: Apache httpd-2 Reporter: evanc
Component: mod_proxyAssignee: Apache HTTPD Bugs Mailing List <bugs>
Status: RESOLVED LATER    
Severity: normal Keywords: MassUpdate
Priority: P2    
Version: 2.2.11   
Target Milestone: ---   
Hardware: Sun   
OS: Solaris   

Description evanc 2009-04-05 07:01:11 UTC
Running Apache 2.2.11 as a forwards proxy.  CustomLog format %X (connection status) is not set to "X" (connection aborted) on aborted proxied http/https connections.  Aborting a proxied FTP request does result in "X" being logged. 

Can be duplicated by starting a download of a large file via the proxy and aborting partway through.
Comment 1 evanc 2009-07-29 09:21:25 UTC
The submitted solution to bug 29744 seems to solve this for proxied CONNECT requests -- %X is set to "X" on all CONNECT requests, which seems correct.
Comment 2 William A. Rowe Jr. 2018-11-07 21:09:58 UTC
Please help us to refine our list of open and current defects; this is a mass update of old and inactive Bugzilla reports which reflect user error, already resolved defects, and still-existing defects in httpd.

As repeatedly announced, the Apache HTTP Server Project has discontinued all development and patch review of the 2.2.x series of releases. The final release 2.2.34 was published in July 2017, and no further evaluation of bug reports or security risks will be considered or published for 2.2.x releases. All reports older than 2.4.x have been updated to status RESOLVED/LATER; no further action is expected unless the report still applies to a current version of httpd.

If your report represented a question or confusion about how to use an httpd feature, an unexpected server behavior, problems building or installing httpd, or working with an external component (a third party module, browser etc.) we ask you to start by bringing your question to the User Support and Discussion mailing list, see [https://httpd.apache.org/lists.html#http-users] for details. Include a link to this Bugzilla report for completeness with your question.

If your report was clearly a defect in httpd or a feature request, we ask that you retest using a modern httpd release (2.4.33 or later) released in the past year. If it can be reproduced, please reopen this bug and change the Version field above to the httpd version you have reconfirmed with.

Your help in identifying defects or enhancements still applicable to the current httpd server software release is greatly appreciated.